## python-pycm 4.5

=== requirements.txt ===
art>=1.8
numpy>=1.9.0

## python-pycm 4.0

=== debian/changelog ===
python-pycm (4.0-2) unstable; urgency=medium

  * Team upload.
  * source-only upload.

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 18 Dec 2023 07:36:50 -0300

python-pycm (4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1056168)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Sun, 03 Dec 2023 05:00:00 +0000

=== debian/control ===
Source: python-pycm
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Yogeswaran Umasankar <kd8mbd@gmail.com>
Homepage: https://github.com/sepandhaghighi/pycm
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pycm.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pycm
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               python3-setuptools,
               dh-python,
               python3-all,
               python3-pytest <!nocheck>,
               python3-art <!nocheck>,
               python3-seaborn <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.2

Package: python3-pycm
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-art
Pre-Depends: ${misc:Pre-Depends}
Description: Multi-class confusion matrix library
 PyCM supports both input data vectors and direct matrix,
 and a proper tool for post-classification model evaluation
 that supports most classes and overall statistics
 parameters. PyCM is the swiss-army knife of confusion
 matrices, targeted mainly at data scientists that need a
 broad array of metrics for predictive models and accurate
 evaluation of a large variety of classifiers.

=== debian/tests/control ===
Tests: runtests
Depends: @, python3-all, python3-pytest, python3-art, python3-seaborn
Restrictions: allow-stderr

## python-pycm 4.1

=== debian/changelog ===
python-pycm (4.1-1) unstable; urgency=medium

  * New upstream version 4.1.
  * d/control: add python3-pytest-cov to B-Depends +
    routine updates.
  * d/tests/control: add python3-pytest-cov to Depends.
  * d/tests/runtests: ignore plot_error_test.
  * d/copyright: update debian/* copyright year and email ID.

 -- Yogeswaran Umasankar <yogu@debian.org>  Mon, 21 Oct 2024 19:45:45 +0000

## python-pycm 4.2

=== debian/changelog ===
python-pycm (4.2-1) unstable; urgency=medium

  * Team upload.

  [ Geovanna Maciel ]
  * New upstream version 4.2.

  [ Yogeswaran Umasankar ]
  * Add d/salsa-ci.yml.
  * d/copyright: update debian/* copyright year.

 -- Geovanna Maciel <geoojv@gmail.com>  Wed, 19 Feb 2025 21:39:13 +0000

=== debian/control ===
Source: python-pycm
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Yogeswaran Umasankar <yogu@debian.org>,
Homepage: https://github.com/sepandhaghighi/pycm
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pycm.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pycm
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-art <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-seaborn <!nocheck>,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0

Package: python3-pycm
Architecture: all
Depends:
 python3-art,
 ${misc:Depends},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Multi-class confusion matrix library
 PyCM supports both input data vectors and direct matrix,
 and a proper tool for post-classification model evaluation
 that supports most classes and overall statistics
 parameters. PyCM is the swiss-army knife of confusion
 matrices, targeted mainly at data scientists that need a
 broad array of metrics for predictive models and accurate
 evaluation of a large variety of classifiers.

## python-pycm 4.3

=== debian/changelog ===
python-pycm (4.3-1) unstable; urgency=medium

  * New upstream version 4.3.
  * d/control: bump Standards-Version to 4.7.2.
  * Patch to remove deprecated distutils in setup.py.
  * Add d/source/options.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sat, 05 Apr 2025 12:25:14 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-seaborn <!nocheck>,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 
 Package: python3-pycm
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pycm
# Ignore tests because an issue with pandas with Py3.12
export PYBUILD_TEST_ARGS=-k 'not function_test \
	                 and not plot_test \
			 and not verified_test'

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/sepandhaghighi/pycm/tags .*/v(\d\S+)\.tar\.gz

## python-pycm 4.4

=== debian/changelog ===
python-pycm (4.4-1) unstable; urgency=medium

  * New upstream version 4.4.
  * d/watch: bump to version 5 format.
  * d/rules: remove sequence name python3.
  * d/control: remove Rules-Requires-Root.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sun, 12 Oct 2025 21:46:47 +0000

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 			 and not verified_test'
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

## python-pycm 4.5

=== debian/changelog ===
python-pycm (4.5-1) unstable; urgency=medium

  * New upstream version 4.5.
  * Update patch 001-* for new upstream version.

 -- Yogeswaran Umasankar <yogu@debian.org>  Fri, 24 Oct 2025 19:39:31 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
  python3-pytest-cov <!nocheck>,
  python3-seaborn <!nocheck>,
  python3-setuptools,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 
 Package: python3-pycm

=== debian/tests/control ===
Tests:
 runtests,
Depends:
 python3-all,
 python3-art,
 python3-pytest,
 python3-pytest-cov,
 python3-seaborn,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
Version: 5
Template: Github
Owner: sepandhaghighi
Project: pycm
